POST /api/v1/social/copy
curl --request POST \
--url https://api.scoot.app/api/v1/social/copy \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.scoot.app/api/v1/social/copy"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.scoot.app/api/v1/social/copy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"socialId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"socialRoomSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"socialURI": "<string>",
"sessionId": "<string>",
"isOpen": true,
"recurring": true,
"anyoneCanStart": true,
"isValid": true,
"free": true,
"allowGuestUsers": true,
"user": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"emailAddress": "<string>",
"emailVerified": true,
"preload": true,
"mobilePhone": "<string>",
"mobilePhoneVerified": true,
"mobilePhoneVerifiedWeb": true,
"profileId": "<string>",
"profileImageURI": "<string>",
"profileImageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profileImageBackground": "<string>",
"timeZone": "<string>",
"registeredDateTime": "2023-11-07T05:31:56Z",
"active": true,
"actedAs": true
},
"maxParticipants": 123,
"startingWidth": 123,
"startingHeight": 123,
"hostAdmitted": true,
"themeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"configurationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"theme": {
"socialThemeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"socialThemeName": "<string>",
"description": "<string>",
"colorPrimary": "<string>",
"colorSecondary": "<string>",
"colorBackground": "<string>",
"colorGradientBackground": "<string>",
"colorButtonText": "<string>",
"colorButtonBG": "<string>",
"imageFarURI": "<string>",
"imageMidURI": "<string>",
"imageNearURI": "<string>",
"previewImageURI": "<string>",
"minimapImageURI": "<string>",
"imageWidth": 123,
"imageHeight": 123,
"templateId": "<string>",
"defaultArtifactSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"multiSize": true,
"addToMiniMap": true,
"tiles": [
{
"uri": "<string>",
"x": 123,
"y": 123,
"width": 123,
"height": 123
}
],
"uploadStatus": {
"requestStatusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestId": "<string>",
"progress": 123,
"failureReason": "<string>",
"startedDateTime": "2023-11-07T05:31:56Z",
"endedDateTime": "2023-11-07T05:31:56Z"
}
},
"playlistId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifactSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startDateTime": "2023-11-07T05:31:56Z",
"endDateTime": "2023-11-07T05:31:56Z",
"dateCreated": "2023-11-07T05:31:56Z",
"companyName": "<string>",
"socialMeta": {
"socialMetaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"numberOfInvites": 123,
"numberOfAttendees": 123,
"numberCurrentlyPresent": 123,
"audioHost": "<string>",
"audioElementURL": "<string>",
"peerConnectionURL": "<string>"
},
"connectedRoom": true,
"updatedByUser": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"emailAddress": "<string>",
"emailVerified": true,
"preload": true,
"mobilePhone": "<string>",
"mobilePhoneVerified": true,
"mobilePhoneVerifiedWeb": true,
"profileId": "<string>",
"profileImageURI": "<string>",
"profileImageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profileImageBackground": "<string>",
"timeZone": "<string>",
"registeredDateTime": "2023-11-07T05:31:56Z",
"active": true,
"actedAs": true
},
"updatedDateTime": "2023-11-07T05:31:56Z",
"alternateHosts": [
{
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"emailAddress": "<string>",
"emailVerified": true,
"preload": true,
"mobilePhone": "<string>",
"mobilePhoneVerified": true,
"mobilePhoneVerifiedWeb": true,
"profileId": "<string>",
"profileImageURI": "<string>",
"profileImageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profileImageBackground": "<string>",
"timeZone": "<string>",
"registeredDateTime": "2023-11-07T05:31:56Z",
"active": true,
"actedAs": true
}
],
"myBadgeData": [
{
"title": "<string>",
"value": "<string>",
"multiValues": [
"<string>"
],
"options": [
"<string>"
],
"description": "<string>",
"required": true,
"featured": true
}
]
}Social
Copy Room
POST
/
api
/
v1
/
social
/
copy
POST /api/v1/social/copy
Creates a copy of an existing Scootaverse with all its settings and configuration.
Authorizations
Response
200 - application/json
OK
Show child attributes
Show child attributes
Available options:
PUBLIC, COMPANY_AND_CONNECTIONS, CONNECTIONS, COMPANY Available options:
SCOOT, PRECIATE Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

